#! /bin/sh -efu

#
# Moodle tools
#
# @package   mt
# @copyright 2012 Aleksey Avdeev <solo@altlinux.ru>
# @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v2 or later
#

PROG="${0##*/}"

moodledir='%moodle_dir'
configfilename='config.php'
configfile="$moodledir/$configfilename"
domainsdir="%moodle_domainsdir"

. shell-error

TEMP=`getopt -n "$PROG" -o f:,m: -l file:,msg:,no-quote -- "$@"`
eval set -- "$TEMP"

while :; do
	case "$1" in
		--)
			shift
			break
			;;
		-f|--file)
			shift
			configfile="$1"
			;;
		*) fatal "Unrecognized option: $1"
			;;
	esac
	shift
done

if [ ! -r "$configfile" ]; then
	fatal "No reading $configfile!"
fi

dbtype=`mt-getCFG ${configfile:+--file="$configfile"} dbtype 2>/dev/null ||:`
dbname=`mt-getCFG ${configfile:+--file="$configfile"} dbname 2>/dev/null ||:`
dataroot=`mt-getCFG ${configfile:+--file="$configfile"} dataroot 2>/dev/null ||:`

datadirname=`echo $dataroot \
	| sed "s@^$domainsdir/@@
		s/\//_/g"`

printf "%s.%s.%s" $dbtype $dbname "$datadirname"
